VkWriteDescriptorSet Struct Reference

`#include <vulkan_core.h>`

Collaboration diagram for VkWriteDescriptorSet:
[legend]

## Data Fields

VkStructureType | sType
const void * | pNext
VkDescriptorSet | dstSet
uint32_t | dstBinding
uint32_t | dstArrayElement
uint32_t | descriptorCount
VkDescriptorType | descriptorType
const VkDescriptorImageInfo * | pImageInfo
const VkDescriptorBufferInfo * | pBufferInfo
const VkBufferView * | pTexelBufferView

## Detailed Description

Definition at line 2581 of file vulkan_core.h.

## Field Documentation

## descriptorCount

uint32_t VkWriteDescriptorSet::descriptorCount

Definition at line 2587 of file vulkan_core.h.

## descriptorType

VkDescriptorType VkWriteDescriptorSet::descriptorType

Definition at line 2588 of file vulkan_core.h.

## dstArrayElement

uint32_t VkWriteDescriptorSet::dstArrayElement

Definition at line 2586 of file vulkan_core.h.

## dstBinding

uint32_t VkWriteDescriptorSet::dstBinding

Definition at line 2585 of file vulkan_core.h.

## dstSet

VkDescriptorSet VkWriteDescriptorSet::dstSet

Definition at line 2584 of file vulkan_core.h.

## pBufferInfo

const VkDescriptorBufferInfo* VkWriteDescriptorSet::pBufferInfo

Definition at line 2590 of file vulkan_core.h.

## pImageInfo

const VkDescriptorImageInfo* VkWriteDescriptorSet::pImageInfo

Definition at line 2589 of file vulkan_core.h.

## pNext

const void* VkWriteDescriptorSet::pNext

Definition at line 2583 of file vulkan_core.h.

## pTexelBufferView

const VkBufferView* VkWriteDescriptorSet::pTexelBufferView

Definition at line 2591 of file vulkan_core.h.

## sType

VkStructureType VkWriteDescriptorSet::sType

Definition at line 2582 of file vulkan_core.h.

The documentation for this struct was generated from the following file:

- src/video/khronos/vulkan/vulkan_core.h